# Uses of Enum Class
org.opensaml.saml.security.SAMLMetadataKeyAgreementEncryptionConfiguration.KeyWrap

Packages that use SAMLMetadataKeyAgreementEncryptionConfiguration.KeyWrap
Package
Description
org.opensaml.saml.security
Classes related to general security components within a SAML system.
org.opensaml.saml.security.impl
Classes related to verifying various credentials within a SAML system.

## Uses of SAMLMetadataKeyAgreementEncryptionConfiguration.KeyWrap in org.opensaml.saml.security

Fields in org.opensaml.saml.security declared as SAMLMetadataKeyAgreementEncryptionConfiguration.KeyWrap
Modifier and Type
Field
Description
`private SAMLMetadataKeyAgreementEncryptionConfiguration.KeyWrap`
SAMLMetadataKeyAgreementEncryptionConfiguration.`metadataUseKeyWrap`
Option which determines whether symmetric key wrap is to be used with metadata credentials.
Methods in org.opensaml.saml.security that return SAMLMetadataKeyAgreementEncryptionConfiguration.KeyWrap
Modifier and Type
Method
Description
`SAMLMetadataKeyAgreementEncryptionConfiguration.KeyWrap`
SAMLMetadataKeyAgreementEncryptionConfiguration.`getMetadataUseKeyWrap()`
Get the option which determines whether symmetric key wrap is to be used with metadata credentials.
`static SAMLMetadataKeyAgreementEncryptionConfiguration.KeyWrap`
SAMLMetadataKeyAgreementEncryptionConfiguration.KeyWrap.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SAMLMetadataKeyAgreementEncryptionConfiguration.KeyWrap[]`
SAMLMetadataKeyAgreementEncryptionConfiguration.KeyWrap.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.opensaml.saml.security with parameters of type SAMLMetadataKeyAgreementEncryptionConfiguration.KeyWrap
Modifier and Type
Method
Description
`void`
SAMLMetadataKeyAgreementEncryptionConfiguration.`setMetadataUseKeyWrap(SAMLMetadataKeyAgreementEncryptionConfiguration.KeyWrap option)`
Set the option which determines whether symmetric key wrap is to be used with metadata credentials.

## Uses of SAMLMetadataKeyAgreementEncryptionConfiguration.KeyWrap in org.opensaml.saml.security.impl

Fields in org.opensaml.saml.security.impl declared as SAMLMetadataKeyAgreementEncryptionConfiguration.KeyWrap
Modifier and Type
Field
Description
`private SAMLMetadataKeyAgreementEncryptionConfiguration.KeyWrap`
SAMLMetadataEncryptionParametersResolver.`defaultKeyAgreementUseKeyWrap`
Default for usage of key wrapping with key agreement if not otherwise configured.
Methods in org.opensaml.saml.security.impl that return SAMLMetadataKeyAgreementEncryptionConfiguration.KeyWrap
Modifier and Type
Method
Description
`SAMLMetadataKeyAgreementEncryptionConfiguration.KeyWrap`
SAMLMetadataEncryptionParametersResolver.`getDefaultKeyAgreemenUseKeyWrap()`
Get the default for usage of key wrapping with key agreement if not otherwise configured.
Methods in org.opensaml.saml.security.impl with parameters of type SAMLMetadataKeyAgreementEncryptionConfiguration.KeyWrap
Modifier and Type
Method
Description
`void`
SAMLMetadataEncryptionParametersResolver.`setDefaultKeyAgreementUseKeyWrap(SAMLMetadataKeyAgreementEncryptionConfiguration.KeyWrap keyWrap)`
Set the default for usage of key wrapping with key agreement if not otherwise configured.